org.modeshape.jcr.query

## Class Tuples.Tuple2Serializer<T1,T2>

- java.lang.Object
- - org.modeshape.jcr.query.Tuples.Tuple2Serializer<T1,T2>

- All Implemented Interfaces:
    Serializable, org.mapdb.Serializer<Tuples.Tuple2<T1,T2>>
  Enclosing class:
    Tuples

      public static final class Tuples.Tuple2Serializer<T1,T2>
      extends Object
      implements org.mapdb.Serializer<Tuples.Tuple2<T1,T2>>, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.mapdb.Serializer

      `org.mapdb.Serializer.CompressionWrapper<E>`

  - ### Field Summary

    - ### Fields inherited from interface org.mapdb.Serializer

      `BASIC, BOOLEAN, BYTE_ARRAY, BYTE_ARRAY_NOSIZE, CHAR_ARRAY, DOUBLE_ARRAY, ILLEGAL_ACCESS, INT_ARRAY, INTEGER, JAVA, LONG, LONG_ARRAY, STRING, STRING_ASCII, STRING_INTERN, STRING_NOSIZE, UUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuples.Tuple2Serializer(org.mapdb.Serializer<T1> serializer1, org.mapdb.Serializer<T2> serializer2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuples.Tuple2<T1,T2>` | `deserialize(DataInput in, int available)`
    `int` | `fixedSize()`
    `void` | `serialize(DataOutput out, Tuples.Tuple2<T1,T2> value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tuples.Tuple2Serializer

          public Tuples.Tuple2Serializer(org.mapdb.Serializer<T1> serializer1,
                                 org.mapdb.Serializer<T2> serializer2)

  - ### Method Detail

    - #### fixedSize

          public int fixedSize()

      Specified by:
        `fixedSize` in interface `org.mapdb.Serializer<Tuples.Tuple2<T1,T2>>`

    - #### serialize

          public void serialize(DataOutput out,
                       Tuples.Tuple2<T1,T2> value)
                         throws IOException

      Specified by:
        `serialize` in interface `org.mapdb.Serializer<Tuples.Tuple2<T1,T2>>`
      Throws:
        `IOException`

    - #### deserialize

          public Tuples.Tuple2<T1,T2> deserialize(DataInput in,
                                         int available)
                                           throws IOException

      Specified by:
        `deserialize` in interface `org.mapdb.Serializer<Tuples.Tuple2<T1,T2>>`
      Throws:
        `IOException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.